OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.ES2Compatibility

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBES2Compatibility :: MonadIO m => m Bool
- gl_ARB_ES2_compatibility :: Bool
- pattern GL_FIXED :: GLenum
- pattern GL_HIGH_FLOAT :: GLenum
- pattern GL_HIGH_INT :: GLenum
- pattern GL_IMPLEMENTATION_COLOR_READ_FORMAT :: GLenum
- pattern GL_IMPLEMENTATION_COLOR_READ_TYPE :: GLenum
- pattern GL_LOW_FLOAT :: GLenum
- pattern GL_LOW_INT :: GLenum
- pattern GL_MAX_FRAGMENT_UNIFORM_VECTORS :: GLenum
- pattern GL_MAX_VARYING_VECTORS :: GLenum
- pattern GL_MAX_VERTEX_UNIFORM_VECTORS :: GLenum
- pattern GL_MEDIUM_FLOAT :: GLenum
- pattern GL_MEDIUM_INT :: GLenum
- pattern GL_NUM_SHADER_BINARY_FORMATS :: GLenum
- pattern GL_RGB565 :: GLenum
- pattern GL_SHADER_BINARY_FORMATS :: GLenum
- pattern GL_SHADER_COMPILER :: GLenum
- glClearDepthf :: MonadIO m => GLfloat -> m ()
- glDepthRangef :: MonadIO m => GLfloat -> GLfloat -> m ()
- glGetShaderPrecisionFormat :: MonadIO m => GLenum -> GLenum -> Ptr GLint -> Ptr GLint -> m ()
- glReleaseShaderCompiler :: MonadIO m => m ()
- glShaderBinary :: MonadIO m => GLsizei -> Ptr GLuint -> GLenum -> Ptr a -> GLsizei -> m ()

# Extension Support

glGetARBES2Compatibility :: MonadIO m => m Bool Source #

Is the ARB_ES2_compatibility extension supported?

gl_ARB_ES2_compatibility :: Bool Source #

Is the ARB_ES2_compatibility extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBES2Compatibility` in those cases instead.

# Enums

pattern GL_FIXED :: GLenum Source #

pattern GL_HIGH_FLOAT :: GLenum Source #

pattern GL_HIGH_INT :: GLenum Source #

pattern GL_IMPLEMENTATION_COLOR_READ_FORMAT :: GLenum Source #

pattern GL_IMPLEMENTATION_COLOR_READ_TYPE :: GLenum Source #

pattern GL_LOW_FLOAT :: GLenum Source #

pattern GL_LOW_INT :: GLenum Source #

pattern GL_MAX_FRAGMENT_UNIFORM_VECTORS :: GLenum Source #

pattern GL_MAX_VARYING_VECTORS :: GLenum Source #

pattern GL_MAX_VERTEX_UNIFORM_VECTORS :: GLenum Source #

pattern GL_MEDIUM_FLOAT :: GLenum Source #

pattern GL_MEDIUM_INT :: GLenum Source #

pattern GL_NUM_SHADER_BINARY_FORMATS :: GLenum Source #

pattern GL_RGB565 :: GLenum Source #

pattern GL_SHADER_BINARY_FORMATS :: GLenum Source #

pattern GL_SHADER_COMPILER :: GLenum Source #

# Functions

glClearDepthf Source #

Arguments

:: MonadIO m |
=> GLfloat | `d`.
-> m () |

Manual page for OpenGL 4.x.

glDepthRangef Source #

Arguments

:: MonadIO m |
=> GLfloat | `n`.
-> GLfloat | `f`.
-> m () |

Manual page for OpenGL 4.x.

glGetShaderPrecisionFormat Source #

Arguments

:: MonadIO m |
=> GLenum | `shadertype` of type ShaderType.
-> GLenum | `precisiontype` of type PrecisionType.
-> Ptr GLint | `range` pointing to `2` elements of type `GLint`.
-> Ptr GLint | `precision` pointing to `1` element of type `GLint`.
-> m () |

Manual page for OpenGL 4.x.

glReleaseShaderCompiler :: MonadIO m => m () Source #

Manual page for OpenGL 4.x.

glShaderBinary Source #

Arguments

:: MonadIO m |
=> GLsizei | `count`.
-> Ptr GLuint | `shaders` pointing to `count` elements of type `GLuint`.
-> GLenum | `binaryformat`.
-> Ptr a | `binary` pointing to `length` elements of type `a`.
-> GLsizei | `length`.
-> m () |

Manual page for OpenGL 4.x.